Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.optimization
Interface DiffFunction

All Superinterfaces:
  Function

    public interface DiffFunction

extends Function

An interface for once-differentiable double-valued functions over double arrays. NOTE: it'd be good to have an AbstractDiffFunction that wrapped a Function with a finite-difference approximation.

Since:
  1.0
Author:
  Dan Klein
See Also:
  `Function`

Method Summary
`double[]` | `derivativeAt(double[] x)` Returns the first-derivative vector at the input location.

Methods inherited from interface edu.stanford.nlp.optimization.Function
`domainDimension, valueAt`

Method Detail

### derivativeAt

    double[] derivativeAt(double[] x)

  Returns the first-derivative vector at the input location.

  Parameters:
    `x` - a `double[]` input vector
  Returns:
    the vector of first partial derivatives.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group